Bug 177233 - recent upgrade of net6 package breaks dependency for obby (and gooby) packages
recent upgrade of net6 package breaks dependency for obby (and gooby) packages
Product: Fedora
Classification: Fedora
Component: obby (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-01-07 19:53 EST by John Guthrie
Modified: 2016-09-19 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-10 17:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2006-01-07 19:53:13 EST
Description of problem:
When I run up2date -u, it runs just fine until it verifies the dependencies.  At
that time, I get the message:

There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
gobby  0.2.2-6.fc4                       requires libnet6-1.1.so.0
obby  0.2.0-6.fc4                        requires libnet6-1.1.so.0

As it turns out, it appears that the net6 package was recently upgraded to
version 1.2.2-1.fc4.  So it looks like, the library that obby and gobby need are
being pulled out from under them.  I'm guessing that all this really requires is
a recompiling and release increment of the obby and gobby packages.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Find a machine that has obby installed on it.
2.Run up2date -u
Actual results:
I got the error message indicated above, and up2date did nothing.

Expected results:
I should have received no error message, and up2date should have updated all of
the packages.

Additional info:
Comment 1 Luke Macken 2006-01-10 17:39:43 EST
I build obby-0.3.0-3 and gobby-0.3.0-2 for FC4.  They should hit the repos in
the near future.

Note You need to log in before you can comment on or make changes to this bug.